Package org.eclipse.rdf4j.sail.extensiblestore

## Class FilteringIteration<E extends ExtensibleStatement,​X extends Exception>

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,​X>
  - - org.eclipse.rdf4j.common.iteration.LookAheadIteration<E,​X>
    - - org.eclipse.rdf4j.sail.extensiblestore.FilteringIteration<E,​X>

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<E,​X>`, `Iteration<E,​X>`

      @Experimental
      public class FilteringIteration<E extends ExtensibleStatement,​X extends Exception>
      extends LookAheadIteration<E,​X>

  A wrapper for an Iteration that filters the statements against a pattern similar to getStatements(Resource subject, IRI predicate, Value object, Resource... context).

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FilteringIteration​(CloseableIteration<E,​X> wrappedIteration, Resource subject, IRI predicate, Value object, boolean inferred, Resource... context)` |
    `FilteringIteration​(Iteration<E,​X> wrappedIteration, Resource subject, IRI predicate, Value object, boolean inferred, Resource... context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected E` | `getNextElement()` | Gets the next element.
    `protected void` | `handleClose()` | Called by `AbstractCloseableIteration.close()` when it is called for the first time.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.LookAheadIteration

      `hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### FilteringIteration

          public FilteringIteration​(CloseableIteration<E,​X> wrappedIteration,
                                    Resource subject,
                                    IRI predicate,
                                    Value object,
                                    boolean inferred,
                                    Resource... context)

    - #### FilteringIteration

          public FilteringIteration​(Iteration<E,​X> wrappedIteration,
                                    Resource subject,
                                    IRI predicate,
                                    Value object,
                                    boolean inferred,
                                    Resource... context)

  - ### Method Detail

    - #### getNextElement

          protected E getNextElement()
                              throws X extends Exception

      Description copied from class: `LookAheadIteration`
      Gets the next element. Subclasses should implement this method so that it returns the next element.
      Specified by:
        `getNextElement` in class `LookAheadIteration<E extends ExtensibleStatement,​X extends Exception>`
      Returns:
        The next element, or null if no more elements are available.
      Throws:
        `X extends Exception`

    - #### handleClose

          protected void handleClose()
                              throws X extends Exception

      Description copied from class: `AbstractCloseableIteration`
      Called by `AbstractCloseableIteration.close()` when it is called for the first time. This method is only called once on each iteration. By default, this method does nothing.
      Overrides:
        `handleClose` in class `LookAheadIteration<E extends ExtensibleStatement,​X extends Exception>`
      Throws:
        `X`
        `X extends Exception`